#include <doslibm.h>
#include "defines.h"

int check_fd(int drive)
/* 指定ドライブがフロッピードライブかどうかを調べる */
/* そのフロッピードライブ番号＋１を返す */
{
unchar drv[MAXDRIVE],dir0[MAXPATH];
struct DPBPTR dpb;
	drv[0]='A'+drive;
	drv[1]=':';
	drv[2]=0;
	
	/* ドライブ接続チェック */
	if (GETASSIGN(drv,dir0)==0) return(-1); /* つながっていない */
	
	/* ドライブ情報取得 */
	GETDPB(drive+1,&dpb);
	if (fd_id(dpb.id)) return(dpb.unit+1);
	return(0);
}
